
Partial Class Errors_PageNotFound
    Inherits CharterCMSPage

	Protected Sub ucSearch_SearchSiteAgain() Handles ucSearch.SearchSiteAgain
		Response.Redirect(String.Format("../Visitors/SearchSite.aspx?{0}={1}", QueryStringName.Criteria, ucSearch.Criteria))
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Page Not Found")
    End Sub

  Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
    If Not IsPostBack Then
      Response.AddCacheItemDependency(CacheKey.OutputCacheDurationKey)
    End If
  End Sub

End Class
